﻿using Infragistics.Win.Printing;
using Infragistics.Win.UltraWinTree;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WT_NoBorderPrint
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            this.PrintPreview(this.ultraTree1);
        }

        public void PrintPreview(UltraTree tree)
        {
            using (var printDoc = new UltraTreePrintDocument())
            {
                printDoc.InitializeTree += ultraTreePrintDocument1_InitializeTree;
                printDoc.Tree = tree;
                using (var previewDialog = new UltraPrintPreviewDialog())
                {
                    previewDialog.Document = printDoc;
                    previewDialog.ShowDialog();
                }
            }
        }

        private void ultraTreePrintDocument1_InitializeTree(object sender, Infragistics.Win.UltraWinTree.Printing.InitializeTreeEventArgs e)
        {
            e.Control.BorderStyle = Infragistics.Win.UIElementBorderStyle.None;
        }
    }
}
